Upstream information

CVE-2013-4159 at MITRE

Description

ctdb before 2.3 in OpenSUSE 12.3 and 13.1 does not create temporary files securely, which has unspecified impact related to "several temp file vulnerabilities" in (1) tcp/tcp_connect.c, (2) server/eventscript.c, (3) tools/ctdb_diagnostics, (4) config/gdb_backtrace, and (5) include/ctdb_private.h.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 836064 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Availability Extension 11 SP3
  • ctdb >= 1.0.114.6-0.11.1
Patchnames:
slehasp3-ctdb
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ctdb-devel >= 1.0.114.6-0.11.1
Patchnames:
sdksp3-ctdb
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ctdb-devel >= 1.0.114.6-0.11.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA ctdb-devel
SUSE Linux Enterprise Software Development Kit 12
  • ctdb-devel >= 2.5.3-4.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA ctdb-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ctdb-devel >= 2.5.5-1.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA ctdb-devel
SUSE Linux Enterprise High Availability Extension 11 SP3
  • ctdb >= 1.0.114.6-0.11.1
Builds
SAT Patch Nr: 9377
SUSE Linux Enterprise Software Development Kit 11 SP3
  • ctdb-devel >= 1.0.114.6-0.11.1
Builds
SAT Patch Nr: 9377
openSUSE 13.1
  • ctdb >= 2.3-2.4.1
  • ctdb-debuginfo >= 2.3-2.4.1
  • ctdb-debugsource >= 2.3-2.4.1
  • ctdb-devel >= 2.3-2.4.1
  • ctdb-pcp-pmda >= 2.3-2.4.1
  • ctdb-pcp-pmda-debuginfo >= 2.3-2.4.1
Patchnames:
openSUSE-2014-442


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Availability Extension 11 SP2 ctdb Unsupported
SUSE Linux Enterprise High Availability Extension 11 SP3 ctdb Released
SUSE Linux Enterprise High Availability Extension 11 SP4 ctdb Released
SUSE Linux Enterprise SDK 11 SP2 ctdb Unsupported
SUSE Linux Enterprise SDK 11 SP3 ctdb Released
SUSE Linux Enterprise SDK 11 SP4 ctdb Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 ctdb Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP3 ctdb Released